package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long templateId;
    @Excel(name = "类别")
    private Integer category;
    private transient String categoryList;
    @Excel(name = "国家")
    private String country;
    @Excel(name = "模板名称")
    private String name;
    @Excel(name = "版本")
    private String version;
    @Excel(name = "封面图")
    private String coverImage;
    @Excel(name = "包地址")
    private String packUrl;
    @Excel(name = "等级")
    private Integer level;
    @Excel(name = "语言")
    private String language;
    @Excel(name = "使用次数")
    private Integer useCount;
    @Excel(name = "模板状态")
    private Integer status;
    private Integer isDelete;
    private Long createId;
    private String createName;
    private Long updateId;
    private String updateName;
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("templateId", this.getTemplateId()).append("category", this.getCategory()).append("country", this.getCountry()).append("name", this.getName()).append("version", this.getVersion()).append("coverImage", this.getCoverImage()).append("packUrl", this.getPackUrl()).append("level", this.getLevel()).append("useCount", this.getUseCount()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
    }
    
    public Long getTemplateId() {
        return this.templateId;
    }
    
    public Integer getCategory() {
        return this.category;
    }
    
    public String getCategoryList() {
        return this.categoryList;
    }
    
    public String getCountry() {
        return this.country;
    }
    
    public String getName() {
        return this.name;
    }
    
    public String getVersion() {
        return this.version;
    }
    
    public String getCoverImage() {
        return this.coverImage;
    }
    
    public String getPackUrl() {
        return this.packUrl;
    }
    
    public Integer getLevel() {
        return this.level;
    }
    
    public String getLanguage() {
        return this.language;
    }
    
    public Integer getUseCount() {
        return this.useCount;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Integer getIsDelete() {
        return this.isDelete;
    }
    
    public Long getCreateId() {
        return this.createId;
    }
    
    public String getCreateName() {
        return this.createName;
    }
    
    public Long getUpdateId() {
        return this.updateId;
    }
    
    public String getUpdateName() {
        return this.updateName;
    }
    
    public void setTemplateId(final Long templateId) {
        this.templateId = templateId;
    }
    
    public void setCategory(final Integer category) {
        this.category = category;
    }
    
    public void setCategoryList(final String categoryList) {
        this.categoryList = categoryList;
    }
    
    public void setCountry(final String country) {
        this.country = country;
    }
    
    public void setName(final String name) {
        this.name = name;
    }
    
    public void setVersion(final String version) {
        this.version = version;
    }
    
    public void setCoverImage(final String coverImage) {
        this.coverImage = coverImage;
    }
    
    public void setPackUrl(final String packUrl) {
        this.packUrl = packUrl;
    }
    
    public void setLevel(final Integer level) {
        this.level = level;
    }
    
    public void setLanguage(final String language) {
        this.language = language;
    }
    
    public void setUseCount(final Integer useCount) {
        this.useCount = useCount;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setIsDelete(final Integer isDelete) {
        this.isDelete = isDelete;
    }
    
    public void setCreateId(final Long createId) {
        this.createId = createId;
    }
    
    public void setCreateName(final String createName) {
        this.createName = createName;
    }
    
    public void setUpdateId(final Long updateId) {
        this.updateId = updateId;
    }
    
    public void setUpdateName(final String updateName) {
        this.updateName = updateName;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnTemplate)) {
            return false;
        }
        final SnTemplate other = (SnTemplate)o;
        if (!other.canEqual((Object)this)) {
            return false;
        }
        final Object this$templateId = this.getTemplateId();
        final Object other$templateId = other.getTemplateId();
        Label_0065: {
            if (this$templateId == null) {
                if (other$templateId == null) {
                    break Label_0065;
                }
            }
            else if (this$templateId.equals(other$templateId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$category = this.getCategory();
        final Object other$category = other.getCategory();
        Label_0102: {
            if (this$category == null) {
                if (other$category == null) {
                    break Label_0102;
                }
            }
            else if (this$category.equals(other$category)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$level = this.getLevel();
        final Object other$level = other.getLevel();
        Label_0139: {
            if (this$level == null) {
                if (other$level == null) {
                    break Label_0139;
                }
            }
            else if (this$level.equals(other$level)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$useCount = this.getUseCount();
        final Object other$useCount = other.getUseCount();
        Label_0176: {
            if (this$useCount == null) {
                if (other$useCount == null) {
                    break Label_0176;
                }
            }
            else if (this$useCount.equals(other$useCount)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0213: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0213;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$isDelete = this.getIsDelete();
        final Object other$isDelete = other.getIsDelete();
        Label_0250: {
            if (this$isDelete == null) {
                if (other$isDelete == null) {
                    break Label_0250;
                }
            }
            else if (this$isDelete.equals(other$isDelete)) {
                break Label_0250;
            }
            return false;
        }
        final Object this$createId = this.getCreateId();
        final Object other$createId = other.getCreateId();
        Label_0287: {
            if (this$createId == null) {
                if (other$createId == null) {
                    break Label_0287;
                }
            }
            else if (this$createId.equals(other$createId)) {
                break Label_0287;
            }
            return false;
        }
        final Object this$updateId = this.getUpdateId();
        final Object other$updateId = other.getUpdateId();
        Label_0324: {
            if (this$updateId == null) {
                if (other$updateId == null) {
                    break Label_0324;
                }
            }
            else if (this$updateId.equals(other$updateId)) {
                break Label_0324;
            }
            return false;
        }
        final Object this$country = this.getCountry();
        final Object other$country = other.getCountry();
        Label_0361: {
            if (this$country == null) {
                if (other$country == null) {
                    break Label_0361;
                }
            }
            else if (this$country.equals(other$country)) {
                break Label_0361;
            }
            return false;
        }
        final Object this$name = this.getName();
        final Object other$name = other.getName();
        Label_0398: {
            if (this$name == null) {
                if (other$name == null) {
                    break Label_0398;
                }
            }
            else if (this$name.equals(other$name)) {
                break Label_0398;
            }
            return false;
        }
        final Object this$version = this.getVersion();
        final Object other$version = other.getVersion();
        Label_0435: {
            if (this$version == null) {
                if (other$version == null) {
                    break Label_0435;
                }
            }
            else if (this$version.equals(other$version)) {
                break Label_0435;
            }
            return false;
        }
        final Object this$coverImage = this.getCoverImage();
        final Object other$coverImage = other.getCoverImage();
        Label_0472: {
            if (this$coverImage == null) {
                if (other$coverImage == null) {
                    break Label_0472;
                }
            }
            else if (this$coverImage.equals(other$coverImage)) {
                break Label_0472;
            }
            return false;
        }
        final Object this$packUrl = this.getPackUrl();
        final Object other$packUrl = other.getPackUrl();
        Label_0509: {
            if (this$packUrl == null) {
                if (other$packUrl == null) {
                    break Label_0509;
                }
            }
            else if (this$packUrl.equals(other$packUrl)) {
                break Label_0509;
            }
            return false;
        }
        final Object this$language = this.getLanguage();
        final Object other$language = other.getLanguage();
        Label_0546: {
            if (this$language == null) {
                if (other$language == null) {
                    break Label_0546;
                }
            }
            else if (this$language.equals(other$language)) {
                break Label_0546;
            }
            return false;
        }
        final Object this$createName = this.getCreateName();
        final Object other$createName = other.getCreateName();
        Label_0583: {
            if (this$createName == null) {
                if (other$createName == null) {
                    break Label_0583;
                }
            }
            else if (this$createName.equals(other$createName)) {
                break Label_0583;
            }
            return false;
        }
        final Object this$updateName = this.getUpdateName();
        final Object other$updateName = other.getUpdateName();
        if (this$updateName == null) {
            if (other$updateName == null) {
                return true;
            }
        }
        else if (this$updateName.equals(other$updateName)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnTemplate;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $templateId = this.getTemplateId();
        result = result * 59 + (($templateId == null) ? 43 : $templateId.hashCode());
        final Object $category = this.getCategory();
        result = result * 59 + (($category == null) ? 43 : $category.hashCode());
        final Object $level = this.getLevel();
        result = result * 59 + (($level == null) ? 43 : $level.hashCode());
        final Object $useCount = this.getUseCount();
        result = result * 59 + (($useCount == null) ? 43 : $useCount.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $isDelete = this.getIsDelete();
        result = result * 59 + (($isDelete == null) ? 43 : $isDelete.hashCode());
        final Object $createId = this.getCreateId();
        result = result * 59 + (($createId == null) ? 43 : $createId.hashCode());
        final Object $updateId = this.getUpdateId();
        result = result * 59 + (($updateId == null) ? 43 : $updateId.hashCode());
        final Object $country = this.getCountry();
        result = result * 59 + (($country == null) ? 43 : $country.hashCode());
        final Object $name = this.getName();
        result = result * 59 + (($name == null) ? 43 : $name.hashCode());
        final Object $version = this.getVersion();
        result = result * 59 + (($version == null) ? 43 : $version.hashCode());
        final Object $coverImage = this.getCoverImage();
        result = result * 59 + (($coverImage == null) ? 43 : $coverImage.hashCode());
        final Object $packUrl = this.getPackUrl();
        result = result * 59 + (($packUrl == null) ? 43 : $packUrl.hashCode());
        final Object $language = this.getLanguage();
        result = result * 59 + (($language == null) ? 43 : $language.hashCode());
        final Object $createName = this.getCreateName();
        result = result * 59 + (($createName == null) ? 43 : $createName.hashCode());
        final Object $updateName = this.getUpdateName();
        result = result * 59 + (($updateName == null) ? 43 : $updateName.hashCode());
        return result;
    }
}
